From 0119e41ab21dce172b6cbf46f92f59697bd064a1 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Thu, 16 Jul 2009 00:05:44 +0200
Subject: [PATCH] ARM support patch

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 mesa-arm-support.patch |   12 ++++++++++++
 mesa.spec              |    9 ++++++++-
 2 files changed, 20 insertions(+), 1 deletions(-)
 create mode 100644 mesa-arm-support.patch

diff --git a/mesa-arm-support.patch b/mesa-arm-support.patch
new file mode 100644
index 0000000..6fe5841
--- /dev/null
+++ b/mesa-arm-support.patch
@@ -0,0 +1,12 @@
+diff -dur mesa-20090428.backup/src/mesa/drivers/dri/sis/sis_context.h mesa-20090428/src/mesa/drivers/dri/sis/sis_context.h
+--- mesa-20090428.backup/src/mesa/drivers/dri/sis/sis_context.h	2009-04-27 14:11:24.000000000 -0400
++++ mesa-20090428/src/mesa/drivers/dri/sis/sis_context.h	2009-07-15 13:41:18.000000000 -0400
+@@ -400,7 +400,7 @@
+ #define MMIO_READ(reg) *(volatile GLint *)(smesa->IOBase + (reg))
+ #define MMIO_READf(reg) *(volatile GLfloat *)(smesa->IOBase + (reg))
+ 
+-#if defined(__i386__) || defined(__x86_64__)
++#if defined(__i386__) || defined(__x86_64__) || defined(__ARM__) || defined(__arm__)
+ #define MMIO_WMB()	__asm __volatile("" : : : "memory")
+ #elif defined(__ia64__)
+ #define MMIO_WMB()	__asm __volatile("mf" : : : "memory")
diff --git a/mesa.spec b/mesa.spec
index 00587f1..c3f502a 100644
--- a/mesa.spec
+++ b/mesa.spec
@@ -21,7 +21,7 @@
 Summary: Mesa graphics libraries
 Name: mesa
 Version: 7.6
-Release: 0.13%{?dist}
+Release: 0.13%{?dist}.fa1
 License: MIT
 Group: System Environment/Libraries
 URL: http://www.mesa3d.org
@@ -49,6 +49,8 @@ Patch13: mesa-7.5-sparc64.patch
 
 Patch30: mesa-7.6-hush-vblank-warning.patch
 
+Patch40: mesa-arm-support.patch
+
 BuildRequires: pkgconfig autoconf automake
 %if %{with_hardware}
 BuildRequires: kernel-headers >= 2.6.27-0.305.rc5.git6
@@ -182,6 +184,8 @@ This package provides some demo applications for testing Mesa.
 %patch13 -p1 -b .sparc64
 %patch30 -p1 -b .vblank-warning
 
+%patch40 -p1 -b .arm
+
 # Hack the demos to use installed data files
 sed -i 's,../images,%{_libdir}/mesa,' progs/demos/*.c
 sed -i 's,geartrain.dat,%{_libdir}/mesa/&,' progs/demos/geartrain.c
@@ -387,6 +391,9 @@ rm -rf $RPM_BUILD_ROOT
 %{demodir}
 
 %changelog
+* Thu Oct 20 2009 Jitesh Shah <jiteshs@marvell.com> 7.6-0.13.fa1
+- ARM support patch
+
 * Mon Sep 21 2009 Adam Jackson <ajax@redhat.com> 7.6-0.13
 - Today's git snap.  Fixes picking in clutter apps on Intel chips (#524338)
 
-- 
1.5.5.6

